## Питання які задаються найчастіше:

#### Що таке UniPatcher?

Це додаток для Android який призначений для накладання патчів на ROM файли усіляких ігрових відеоконсолей.

#### Які формати патчів підтримуються?

Додаток підтримує патчі у форматах IPS, IPS32, UPS, BPS, APS (GBA), APS (N64), PPF, DPS, EBP та XDelta3.

#### Чи можливо із допомогою цього додатку зломати гру для Android?

Ні. Додаток не призначено для злому Android ігор.

#### Що таке ROM файл?

ROM файл це комп'ютерний файл який містить в собі копію даних із чіпа пам'яті ігрового картриджу. Цей файл може бути запущено з допомогою програми емулятора. Таким чином можна грати у консольні ігри на комп'ютері чи смартфоні.

#### Що таке ROM хакінг?

ROM хакінг це процес модифікації ROM файла з метою змінити графіку, рівні, геймплей або мову гри.

#### Що таке патч?

Патч це файл який містить різницю між оригінальною та зміненою версіями ROM'у.

Ромхакери розповсюджують патч, а користувачі застосовують цей патч до оригінальної версії ROM'у, тим самим отримуючи модифіковану версію.

#### Чому ромхакери не розповсюджують пропатчені ROM файли?

Хаки та переклади розповсюджуються у вигляді патчів для того, щоб зменшити розмір завантажуючих даних і не порушувати авторських прав на гру.

#### Як накласти патч на гру?

Необхідно вибрати ROM файл та Патч, а тоді натиснути на круглу червону кнопку

У результаті ви отримаєте пропатчений ROM, який буде знаходитись в одній папці із оригінальним ROM'ом.

#### Коли я вибираю файл додаток пише "Архів необхідно розпакувати у зовнішній програмі".

Файл який ви вибрали являється архівом. Архів містить у собі папки та файли у стисненому вигляді.

На данний момент UniPatcher не уміє розпаковувати архіви, тому вам необхідно розпакувати свій архів за допомогою іншої програми. Я рекомендую безкоштовну програму [ZArchiver](https://play.google.com/store/apps/details?id=ru.zdevs.zarchiver).

#### Додаток вибиває помилку: "Цей ROM не сувмісний із патчем".

Ця помилка з'являється, коли контрольна сума збережена у патчі не співпадає із контрольною сумою ROM'у. Це означає, що даний ROM не сувмісний із патчем. Вам необхідно вибрати інший ROM. Зазвичай існує декілька версій ROM'у для кожної гри (наприклад, версії для Європи, США, Японії, добрі або погані дампи і т.д.).

Ромхакери часто публікують контрольну суму необхідного ROM файла (на веб сторінці або у файлі Readme). Вам необхідно порівняти її із вашим ROM'ом. Для цього у вікні вибору файла зробіть довгий тап на ROM файлі і ви побачите 3 лінії: CRC32, SHA1 та MD5. Якщо одна із ліній співпадає із контрольною сумою яку вказав ромхакер, тоді ваш ROM підходить. Якщо ж вона не співпадає, то вам потрібно пошукати інший ROM.

#### Не можу підібрати ROM для гри "Pokémon Emerald".

Більшість патчів цієї гри працюють із ROM'ом "Pokemon - Emerald Version (U) \[f1\] (Save Type).gba".

#### Я застосовую патч у форматі IPS до гри а після цього гра не працює/містить графічні артефакти. Що я роблю не правильно?

Патчі у форматі IPS не містять контрольної суми. Тому такий патч накладеться на будь-який (навіть той що не підходить) ROM. В цьому випадку потрібно використовувати ROM іншого регіону.

#### Що можна зробити із файлом у форматі .ECM?

ECM це формат стискання даних створений спеціально для образів дисків. Програма [ZArchiver](https://play.google.com/store/apps/details?id=ru.zdevs.zarchiver) уміє розпаковувати такий формат.

#### Додаток вибиває помилку "Не вдалося скопіювати файл".

Ця помилка з'являється на деяких пристроях з Android 4.4. Можливі вирішення:

- Скопіювати ROM файл на карту пам'яті у папку **Android/data/org.emunix.unipatcher/**. Після в UniPatcher'і вибрати ROM із цієї папки.
- Встановити програму [SDFix](https://play.google.com/store/apps/details?id=nextapp.sdfix) (необхідний ROOT).

#### Додаток вибиває помилку "Контрольна сума пропатченого файлу неправильна".

Можливий баг у моїй програмі. Будь-ласка, напишіть мені на [e-mail](mailto:unipatcher@gmail.com) та прикріпіть патч до листа.

#### В UniPatcher'і є хоч якісь додаткові функції?

Так. Додаток може:

- створювати патчі у форматі XDelta3.
- Виправляти контрольну суму для ігор Sega Mega Drive.
- Додавати або видаляти SMC назви для ігор Super Nintendo.

#### Навіщо виправляти контрольну суму для ігор Sega Mega Drive?

В Sega Mega Drive є захист від модифікації ігор. У ROM'і зберігається значення контрольної суми і якщо воно відрізняється від реальної, тоді гра не запускається, відображаючи червоний екран. Ця функція записує правильну контрольну суму в ROM.

**Попередження:** ця функція не створює резервної копії ROM'у.

#### Навіщо додавати або видаляти SMC заголовки в іграх Super Nintendo?

SMC заголовок це 512 байт які знаходяться на початку деяких SNES ROM'ів. Ці байти не мають значення, але вони міняють розташування даних. Видаляння або додавання заголовку іноді використовується із ціллю правильного накладання патчів.

**Попередження:** ця функція не створює резервної копії ROM'у.

#### Як перекласти додаток на іншу мову?

Якщо ви хочете перекласти додаток на іншу мову або покращити існуючий переклад, ви можете зробити це на сайті [Transifex](https://www.transifex.com/unipatcher/unipatcher/dashboard/).

#### У мене є питання, ідея для нової функції або повідомлення про помилку.

Ви можете зв'язатися зі мною по електронній пошті, моя адреса <unipatcher@gmail.com>. Прошу писати англійською або російською. Якщо у вас проблема із накладанням патчу, то прикріпіть патч до листа та напишіть назву вашого ROM'у, це збереже наш час.